Bug 274890 - Found bug with invalid protocol
Summary: Found bug with invalid protocol
Status: RESOLVED FIXED
Alias: None
Product: dolphin
Classification: Unclassified
Component: general (show other bugs)
Version: 16.12.2
Platform: Gentoo Packages Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Peter Penz
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-06-04 10:26 UTC by BRULE Herman
Modified: 2011-06-11 00:32 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description BRULE Herman 2011-06-04 10:26:59 UTC
Version:           unspecified (using KDE 4.6.3) 
OS:                Linux

Hello, In dolphin url bar I put:
rsync://zumbi.netgroup.uniroma2.it/wbmv4
It say wrong protocol but I'm into the home folder.
Then I wish into the home folder the folder "rsync", I do right click, and "create new" and "new folder". It's say my: "invalid protocol" and failed to create my folder!


Reproducible: Always

Steps to Reproduce:
Hello, In dolphin url bar I put:
rsync://zumbi.netgroup.uniroma2.it/wbmv4
It say wrong protocol but I'm into the home folder.
Then I wish into the home folder the folder "rsync", I do right click, and "create new" and "new folder". It's say my: "invalid protocol" and failed to create my folder!
Comment 1 Matthias Fuchs 2011-06-11 00:28:47 UTC
Git commit 7c85b6206b76c434738ff6a5d2379a1c7d58fdb7 by Matthias Fuchs.
Committed on 11/06/2011 at 00:09.
Pushed by mfuchs into branch 'master'.

Return the url of the view instead of the url of the url navigator.

That way if a wrong protocol had been entered the currently watched directory will be returned.
BUG:274890
REVIEW:101580

M  +1    -1    dolphin/src/dolphinviewcontainer.cpp     

http://commits.kde.org/kde-baseapps/7c85b6206b76c434738ff6a5d2379a1c7d58fdb7
Comment 2 Matthias Fuchs 2011-06-11 00:32:50 UTC
Git commit 1a6201cbcd9367fdd357a89a396f32796aa71e55 by Matthias Fuchs.
Committed on 11/06/2011 at 00:09.
Pushed by mfuchs into branch 'KDE/4.6'.

Return the url of the view instead of the url of the url navigator.

That way if a wrong protocol had been entered the currently watched directory will be returned.
CCBUG:274890
REVIEW:101580
(cherry picked from commit 7c85b6206b76c434738ff6a5d2379a1c7d58fdb7)

M  +1    -1    dolphin/src/dolphinviewcontainer.cpp     

http://commits.kde.org/kde-baseapps/1a6201cbcd9367fdd357a89a396f32796aa71e55